<template>
  <div>
    <Project-title></Project-title>
    <Project-content v-bind:menu="menu">
      <h3 class="download-title">下载专区</h3>
      <div v-html="content"></div>
    </Project-content>
  </div>
</template>

<script>
import ProjectTitle from '../../components/ProjectTitle.vue'
import ProjectContent from '../../components/ProjectContent.vue'
import { introduction } from '../../action/axiosService.js'

export default {
  components: {
    ProjectTitle,
    ProjectContent
  },
  data() {
    return {
      // 这个是传给组件的项目列表
      menu: [{ name: '下载专区', url: '' }],
      content: '',
      tag: '下载专区'
    }
  },
  mounted() {
    const that = this
    introduction({
      tag: that.tag,
      cb: function(obj) {
        that.content = obj
      }
    })
  }
}
</script>
<style scoped>
a {
  margin-top: 20px;
  color: #000000;
}
</style>
